import {select, range, scaleOrdinal} from 'd3';

const scaleColour = scaleOrdinal();
scaleColour.domain(['apple', 'lemon'])
	         .range(['red', 'yellow']);

export const fruitBowl = (parent, props) => {
  //console.log(fruits);
  const {fruits, height} = props; //Unpack parameters
  
  
  // <---- Code for Nested Elements
  
  const groups =  parent.selectAll('g').data(fruits, d => d.id);
  const groupsEnter = groups.enter().append('g');
  groupsEnter
           .merge(groups) 
              .attr('transform', (d, i) => `translate(${i * 120 + 60},${height / 5})` ) ; 
  
  groups.exit().remove();

  groupsEnter
    			 .append('circle')
             .attr('fill', d => scaleColour(d.type))
             .attr('r', 0)
  
           .merge(groups.select('circle'))  
  					  .attr('fill',d => scaleColour(d.type))
  						.attr('r', 50)
              .attr('cx', (d, i) => 0)
 					; 
  
  
  groupsEnter
    			 .append('text')
             .attr('y', 90 )  
           .merge(groups.select('text'))  
  					  .text(d =>d.type)
  					; 
  

 };